Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Dec 2014, 12:34
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Ninja python IDE for Puppy linux
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
mankand007

Joined: 12 Jul 2012
Posts: 16

PostPosted: Fri 13 Jul 2012, 04:17    Post subject:  Ninja python IDE for Puppy linux  

Ninja IDE is a small but powerful IDE for python with the following features:

* Project management
* Extensible with plugins
* Code completion
* Small memory footprint.

The deb file for ubuntu is just 1.2 MB. Please create a .pet for this useful piece of software. Thanks! Smile
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1516
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Fri 13 Jul 2012, 23:31    Post subject:  

mankand007,

I've built a package NINJA-IDE-2.0.pet, I read in another post of yours that pyinotify was required so I built a package for it also, the dependencies for this would be Python, PyQt, pyinotify, not all the dependencies are in the Saluki PPM, I'll link the required pets here, PyQt should pull most of it's dependencies from the Saluki PPM but also requires sip which isn't, yes it a mess at the moment but will be addressed asap, here are the pet's that are not in the PPM.

Can you try it and let me know if everything is working the way it should, if good I'll post it on the Saluki forum.

NINJA-IDE-2.0.pet

PyQt-4.9.4.pet

pyinotify-0.9.3.pet

sip-4.13.3.pet

Geoffrey

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
mankand007

Joined: 12 Jul 2012
Posts: 16

PostPosted: Sat 14 Jul 2012, 14:47    Post subject:  

Thanks a lot! You made my day! Smile

Edit:

Actually, I had already had ninja ide up and running from the github repo.

I had already downloaded PyQt and sip from one of your forum posts from saluki forums.

I had also installed pip from setuptools and had installed pyinotify from it.

However, I tested the above pets by uninstalling pyinotify from pip and installing from the above pet. I also installed the above ninja ide pet.

They are all working perfectly! Thanks a lot!
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1516
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Sat 14 Jul 2012, 18:03    Post subject:  

mankand007 wrote:
They are all working perfectly! Thanks a lot!


Thank you for taking the time to test them for me, I will post them on the Saluki forum.

Geoff

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
laserdood

Joined: 06 Jul 2012
Posts: 12
Location: Silicon Valley, CA

PostPosted: Sat 21 Jul 2012, 17:23    Post subject: Racy 5.3?
Subject description: will these work?
 

Will these PETS install Python itself on Racy 5.3, or are they support files for Python that is already installed? If so, is there a Python PET too?

Thanks,

laserdood Cool
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1516
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Sat 21 Jul 2012, 22:48    Post subject: Re: Racy 5.3?
Subject description: will these work?
 

laserdood wrote:
Will these PETS install Python itself on Racy 5.3, or are they support files for Python that is already installed? If so, is there a Python PET too?

Thanks,

laserdood Cool


No this package is for Saluki only, as well as the other packages I posted, Python-2.7.2, py-setuptools. qt-4.8.0 and qt-webkit-4.8.0. are needed

I have no idea if these packages would work with Racy, I'm guessing not, all I can suggest is to give Saluki a try, you should be pleasantly surprised how intuitive it is with lots of applications in the package manager.

I guess I'm biased towards Saluki, so I always give it a plug Wink

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0492s ][ Queries: 11 (0.0037s) ][ GZIP on ]